<?php


class LastComments {
	
	// How match comments to view
	private $limit = 10;
	
	// Wraper for comments
	private $wrap = '<li class="point"><b>%s</b> <span style="color:#D6C39B;">Написал в</span><br /> %s</li>';
	
	private $DB;

	public function __construct($params) {
		$this->DB = FpsDataBase::get();
	}
	
	
	public function common($params) {
		$output = '';
		$sql = "(SELECT a.`id`, a.`entity_id`, a.`name`, a.`message`, b.`title`, (SELECT \"news\") AS skey 
			FROM `" . $this->DB->getFullTableName('news_comments') . "` a
			LEFT JOIN `" . $this->DB->getFullTableName('news') . "` b ON b.`id` = a.`entity_id`)
			UNION (SELECT a.`id`, a.`entity_id`, a.`name`, a.`message`, b.`title`, (SELECT \"stat\") AS skey 
			FROM `" . $this->DB->getFullTableName('stat_comments') . "` a
			LEFT JOIN `" . $this->DB->getFullTableName('stat') . "` b ON b.`id` = a.`entity_id`)
			UNION (SELECT a.`id`, a.`entity_id`, a.`name`, a.`message`, b.`title`, (SELECT \"loads\") AS skey 
			FROM `" . $this->DB->getFullTableName('loads_comments') . "` a
			LEFT JOIN `" . $this->DB->getFullTableName('loads') . "` b ON b.`id` = a.`entity_id`)
			ORDER BY `id` DESC LIMIT " . $this->limit;
		$comments = $this->DB->query($sql);
		
		if (!empty($comments)) {
			foreach ($comments as $key => $comm) {
				$link = get_link($comm['title'], '/' . $comm['skey'] . '/view/' . $comm['entity_id']);
				$output .= sprintf($this->wrap, $comm['name'], $link);
			}
		}
			
			

		return str_replace('{LAST_COMMENTS}', $output, $params);
	}

}
?>